JS - JobScheduler
  1. JS - JobScheduler
  2. JS-1799

Provide MariaDB JDBC Driver version 2.2.6 with JobScheduler Master and JOC Cockpit

    Details

      Description

      Current Situation

      • Branch 1.12 of JobScheduler Master and JOC Cockpit ships with a MariaDB JDBC Driver version 1.3 that can be used with MariaDB databases and with MySQL databases 5.x.
      • Users who want to use JobScheduler with MySQL 8 cannot use a MariaDB JDBC Driver, for details see About MariaDB Connector/J

      Desired Behavior

      • For use with MySQL 8 users have to download a JDBC Driver from the MySQL web site.
      • However, due to interferences between the MySQL JDBC Driver and the MariaDB JDBC Driver that is included with JobScheduler
        • the MariaDB JDBC Driver has to be updated to a newer release 2.2.6
        • the JDBC URL for a MySQL database has to include the query parameter DisableMariaDbDriver, e.g. in a URL such as jdbc:mysql://localhost:3306/jobscheduler?disableMariaDbDriver=true

        Issue Links

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              Oliver Haufe
              Reporter:
              Andreas Püschel
              Approver:
              Santiago Aucejo Petzoldt
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: